%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           peppy
Version:        0.11.25
Release:        1%{?dist}
Summary:        Editor written in python

Group:          Applications/Editors
License:        GPLv2+ and GPLv3+
URL:            http://peppy.flipturn.org
Source0:        http://%{name}.flipturn.org/archive/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
#http://groups.google.com/group/peppy-dev
Source2:        %{name}.png
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       python-enchant
Requires:       wxPython


%description
Peppy is a wxPython/Scintilla-based editor written in and extensible through 
Python. It attempts to provide an XEmacs-like multi-window, multi-tabbed
framework with low coupling, so it's easy to add support for new types of 
files.


%prep
%setup -q

#correct strange file permission
chmod -x README

# Correct shebang in lib of peppy
sed -i 's|#!/user/bin/env|#!/usr/bin/env|g' \
   %{name}/lib/null.py 

# Remove shebangs of templates
sed -e '1d' -i \
   %{name}/editra/tests/{c-shell_script.csh,octave.oct,perl.pl,ruby.rb,d.d,tcl_tk.tcl,korn_shell_script.ksh,python.python}


%build
python setup.py build


%install
rm -rf %{buildroot}

python setup.py install \
       -O1 \
       --skip-build \
       --root %{buildroot}

# Add executable file permission to scripts
chmod +x %{buildroot}/%{python_sitelib}/%{name}/lib/null.py
chmod +x %{buildroot}/%{python_sitelib}/%{name}/yapsy/{PeppyPluginManager,VersionedPluginManager,PluginManager,IPlugin}.py

desktop-file-install \
        --dir="%{buildroot}/%{_datadir}/applications/" \
        %{SOURCE1}

install -Dpm0644 %{SOURCE2} \
        %{buildroot}/%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog FAQ LICENSE.v2 LICENSE.v3 NEWS README TODO PKG-INFO
%{_bindir}/%{name}
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}-py*.egg-info
%{_datadir}/applications/%{name}.*
%{_datadir}/pixmaps/%{name}.*


%changelog
* Wed Sep 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.11.25-1
- New upstream release

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.10.0-1
- New upstream release

* Sun May 17 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.86-1
- New upstream release
- Add missing R: wxPython

* Sun May 10 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.27-3
- RHBZ #497572 C7

* Sun May 10 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.27-2
- RHBZ #497572 C1
- Correct description
- Add PKG-INFO to DOC
- Add R: python-enchant
- Remove shebangs of templates

* Fri Apr 24 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.27-1
- Initial Package build 
